//
//  AppDelegate.h
//
//  Created by Cardinal Development on 8/15/14.
//  Copyright (c) 2014 Cardinal Scale Manufacturing Company. All rights reserved.
//

#import <UIKit/UIKit.h>

@interface AppDelegate : UIResponder <UIApplicationDelegate, NSStreamDelegate, UITabBarControllerDelegate>

@property (strong, nonatomic) UIWindow *window;
@property (strong, nonatomic) UITabBarController *tabBarController;

@property (nonatomic) BOOL isConnected;
@property (strong, nonatomic) NSString *curIPAddress;
@property (strong, nonatomic) NSString *curPortNumber;
@property (strong, nonatomic) NSUserDefaults *defaults;
@property (nonatomic) NSMutableArray *cmdQueue;

- (void)connect;
- (void)disconnect;

@end
